# Class: Circle

## Circle

Set circle style for vector features.

#### new ol.style.Circle(opt_options) experimental

src/ol/style/circlestyle.js, line 23

  Name | Type | Description
  --- | --- | ---
  `options` | optional Options.
  Name | Type | Description
  --- | --- | ---
  `fill` | ol.style.Fill | undefined | optional Fill style.
  `radius` | number | Circle radius.
  `snapToPixel` | boolean | undefined | optional If `true` integral numbers of pixels are used as the X and Y pixel coordinate when drawing the circle in the output canvas. If `false` fractional numbers may be used. Using `true` allows for "sharp" rendering (no blur), while using `false` allows for "accurate" rendering. Note that accuracy is important if the circle's position is animated. Without it, the circle may jitter noticeably. Default value is `true`.
  `stroke` | ol.style.Stroke | undefined | optional Stroke style.

### Extends

- ol.style.Image

### Methods

#### getAnchor(){Array.<number>} experimental

src/ol/style/circlestyle.js, line 100

  ##### Returns:

  Anchor.

#### getFill(){ol.style.Fill} experimental

src/ol/style/circlestyle.js, line 109

  ##### Returns:

  Fill style.

#### getImage(pixelRatio){HTMLCanvasElement|HTMLVideoElement|Image} experimental

src/ol/style/circlestyle.js, line 126

  Name | Type | Description
  --- | --- | ---
  `pixelRatio` | number | Pixel ratio.

  ##### Returns:

  Image element.

#### getOrigin(){Array.<number>} experimental

src/ol/style/circlestyle.js, line 143

  ##### Returns:

  Origin.

#### getRadius(){number} experimental

src/ol/style/circlestyle.js, line 152

  ##### Returns:

  Radius.

#### getRotation(){number} inherited experimental

src/ol/style/imagestyle.js, line 89

  ##### Returns:

  Rotation.

#### getScale(){number} inherited experimental

src/ol/style/imagestyle.js, line 98

  ##### Returns:

  Scale.

#### getSize(){ol.Size} experimental

src/ol/style/circlestyle.js, line 161

  ##### Returns:

  Size.

#### getStroke(){ol.style.Stroke} experimental

src/ol/style/circlestyle.js, line 170

  ##### Returns:

  Stroke style.